Skip to main content
PUT
/
api
/
organizations
/
{organizationId}
/
session-settings
Update session settings (SuperAdmin only)
curl --request PUT \
  --url https://your-instance.example.com/api/organizations/{organizationId}/session-settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "idleTimeoutMinutes": 123,
  "tokenExpiryHours": 123,
  "warningTimeMinutes": 123,
  "idleTrackingEnabled": true,
  "ssoSilentRenewalEnabled": true,
  "ssoFallbackBehavior": "reauth-button",
  "passwordSilentRenewalEnabled": true,
  "passwordFallbackBehavior": "reauth-modal"
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "enabled": true,
    "idleTimeoutMinutes": 123,
    "tokenExpiryHours": 123,
    "warningTimeMinutes": 123,
    "idleTrackingEnabled": true,
    "ssoSilentRenewalEnabled": true,
    "ssoFallbackBehavior": "<string>",
    "passwordSilentRenewalEnabled": true,
    "passwordFallbackBehavior": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Body

application/json
enabled
boolean | null
idleTimeoutMinutes
number | null
tokenExpiryHours
number | null
warningTimeMinutes
number | null
idleTrackingEnabled
boolean | null
ssoSilentRenewalEnabled
boolean | null
ssoFallbackBehavior
enum<string> | null

Set to null to revert to global default

Available options:
reauth-button,
force-logout
passwordSilentRenewalEnabled
boolean | null
passwordFallbackBehavior
enum<string> | null

Set to null to revert to global default

Available options:
reauth-modal,
force-logout

Response

Session settings updated

success
boolean
message
string
data
object